#
# spec file for package regionServiceClientConfigEC2
# this code base is under development
#
# Copyright (c) 2015 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           regionServiceClientConfigAzure
VCS: https://src.suse.de/ALP-pool/regionServiceClientConfigAzure#ef9c507dc971b013acdfa66f5d8b591900421993
Version:        2.0.0
Release:        1.2
License:        Apache-2.0
Summary:        Configuration for region service client
URL:            https://gitlab.suse.de/public-cloud-team/regionServiceClientConfigAzure
Group:          Productivity/Networking/Web/Servers
Source0:        %{name}-%{version}.tar.bz2
Provides:       cloud-regionsrv-client-config
Provides:       regionServiceCertsAzure
Provides:       regionsrv-certs
Requires:       python3-azuremetadata >= 5.1.2
Recommends:     cloud-regionsrv-client-plugin-azure
Conflicts:      otherproviders(cloud-regionsrv-client-config)
Conflicts:      otherproviders(regionsrv-certs)
Provides:       regionServiceClientConfigSAPAzure = %{version}
Obsoletes:      regionServiceClientConfigSAPAzure < 1.0.4
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch

%description
Configuration for the client registration in Microsoft Azure and
region server certificates

%prep
%setup -q

%build

%install
%make_install

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README LICENSE
%config %{_sysconfdir}/regionserverclnt.cfg
%dir /usr/lib/regionService
%dir /usr/lib/regionService/certs
/usr/lib/regionService/certs/23.100.36.229.pem
/usr/lib/regionService/certs/40.121.202.140.pem
/usr/lib/regionService/certs/52.187.53.250.pem
/usr/lib/regionService/certs/104.45.31.195.pem
/usr/lib/regionService/certs/191.237.254.253.pem

%changelog
* Wed May 18 2022 rjschwei@suse.com
- Update to version 2.0.0 (bsc#1199668)
  + Move the certs to /usr from /var to accomodate ro filesystem of
    SLE-Micro
  + Fix source url in spec file
* Thu Aug  6 2020 rjschwei@suse.com
- Update to version 1.0.5 (bsc#1174791, bsc#1174937)
  + New configuration to switch to https only outgoing traffic
  + Use latest API to query the metadata server and send additional data
* Thu May  7 2020 rjschwei@suse.com
- Update to version 1.0.0 (bsc#1171465, bsc#1171465)
  + Merge region server setup for SLES and SLES For SAP
* Mon Apr 27 2020 ikapelyukhin@suse.com
- Update to version 0.0.6
  + Report subscriptionId during registration (bsc#1170605, bsc#1170606)
* Tue Mar 31 2020 ikapelyukhin@suse.com
- Update to version 0.0.5
  + Don't specify root device name explicitly (bsc#1158698, bsc#1158707)
* Wed Feb 21 2018 rjschwei@suse.com
- Update to version 0.0.4
  + Use region hint to get SMT data in pre for IPv6 support (bsc#1029162)
* Thu Feb 12 2015 rjschwei@suse.com
- Update to version 0.0.3
  + Use the new command for the meta data (azuremetadata)
  + Fix the package dependencies, requires azuremetadata
* Tue Jan  6 2015 rschweikert@suse.com
- Include in SLE 12 (FATE 318302, bnc#911856)
* Thu Oct 16 2014 ms@suse.com
- regionServiceClientConfigAzure
  + update the configuration to match the new command line arguments
